USE [Database]

IF OBJECT_ID('[Procedures].[delete_supplier]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[delete_supplier];
GO
CREATE PROCEDURE [Procedures].[delete_supplier]
  @supplier_id AS INT
AS
  DELETE FROM [Tables].[suppliers]
  WHERE [id] = @supplier_id;
GO